Page MenuHomePhabricator

Document revision comparison endpoint
Closed, ResolvedPublic2 Estimate Story Points

Description

We need to document the API endpoint defined by this user story.

Event Timeline

eprodromou triaged this task as Medium priority.Sep 20 2019, 3:36 PM
eprodromou created this task.
apaskulin set the point value for this task to 2.Oct 4 2019, 10:45 PM

@apaskulin Is this unblocked for you now?

@WDoranWMF No, it looks like the extension isn't currently installed on the beta cluster. https://en.wikipedia.beta.wmflabs.org/w/rest.php/v1/revision/388866/compare/196313 still returns 500.

@apaskulin so, we've got the buggy output documented, with "response" and double "diff"; can we change it to the correct output?

The docs should reflect the current behavior of the endpoint, so we shouldn't change the doc until the functionality is changed.

OK, we'll wait until the bugs are fixed.

eprodromou closed this task as Resolved.Oct 29 2019, 4:18 PM

They are!